package com.alibaba.druid.sql.dialect.kingbase.ast.expression;

import com.alibaba.druid.sql.ast.SQLExpr;
import com.alibaba.druid.sql.ast.SQLExprImpl;
import com.alibaba.druid.sql.visitor.SQLASTVisitor;

public class KingbaseCallExpression extends SQLExprImpl {
   private SQLExpr valueExpr;
   private SQLExpr callExpr;

   public KingbaseCallExpression(SQLExpr valueExpr, SQLExpr callExpr) {
      this.valueExpr = valueExpr;
      this.callExpr = callExpr;
   }

   public boolean equals(Object o) {
      if (!(o instanceof KingbaseCallExpression)) {
         return false;
      } else {
         KingbaseCallExpression k = (KingbaseCallExpression)o;
         return this == o && this.valueExpr == k.getValueExpr() && this.callExpr == k.getCallExpr();
      }
   }

   public int hashCode() {
      return 0;
   }

   protected void accept0(SQLASTVisitor v) {
   }

   public SQLExpr clone() {
      return null;
   }

   public SQLExpr getValueExpr() {
      return this.valueExpr;
   }

   public void setValueExpr(SQLExpr valueExpr) {
      this.valueExpr = valueExpr;
   }

   public SQLExpr getCallExpr() {
      return this.callExpr;
   }

   public void setCallExpr(SQLExpr callExpr) {
      this.callExpr = callExpr;
   }
}
